For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tools
      • GETGet tool
      • POSTCreate tool
      • PATCHUpdate tool
      • DELDelete tool
      • GETGet dependent agents
      • GETGet tool executions
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTools

Get tool executions

GET
/v1/convai/tools/:tool_id/executions
GET
/v1/convai/tools/:tool_id/executions
$curl https://api.elevenlabs.io/v1/convai/tools/tool_id/executions
1{
2 "executions": [
3 {
4 "tool_id": "string",
5 "tool_request_id": "string",
6 "conversation_id": "string",
7 "agent_id": "string",
8 "timestamp": 1.1,
9 "latency_secs": 1.1,
10 "id": "string",
11 "branch_id": "string",
12 "is_error": false,
13 "request_payload": "string",
14 "response_payload": "string",
15 "error_message": "string",
16 "error_type": "string",
17 "tool_call_details": {
18 "type": "webhook",
19 "method": "string",
20 "url": "string",
21 "body": "string",
22 "headers": {},
23 "path_params": {},
24 "query_params": {}
25 }
26 }
27 ],
28 "has_more": true,
29 "next_cursor": "string"
30}
Get paginated list of tool executions for a specific tool.
Was this page helpful?
Previous

List knowledge base documents

Next
Built with

Path parameters

tool_idstringRequired
ID of the requested tool.

Headers

xi-api-keystringOptional

Query parameters

cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.
page_sizeintegerOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.
is_errorboolean or nullOptional
Filter by error status. If not provided, returns all executions.
agent_idstring or nullOptional
Filter by agent ID.
branch_idstring or nullOptional
Filter by agent branch ID.
start_timedouble or nullOptional

Filter executions from this Unix timestamp (inclusive).

end_timedouble or nullOptional

Filter executions until this Unix timestamp (inclusive).

Response

Successful Response
executionslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error